## NMDeviceBridge NMDeviceBridge |

## Functions

const char * | nm_device_bridge_get_hw_address ()
gboolean | nm_device_bridge_get_carrier ()
const GPtrArray * | nm_device_bridge_get_slaves ()

## Types and Values

#define | NM_DEVICE_BRIDGE_HW_ADDRESS
#define | NM_DEVICE_BRIDGE_CARRIER
#define | NM_DEVICE_BRIDGE_SLAVES

## Description

## Functions

### nm_device_bridge_get_hw_address ()

    const char *
    nm_device_bridge_get_hw_address (NMDeviceBridge *device);

`nm_device_bridge_get_hw_address` is deprecated and should not be used in newly-written code.

### nm_device_bridge_get_carrier ()

    gboolean
    nm_device_bridge_get_carrier (NMDeviceBridge *device);

### nm_device_bridge_get_slaves ()

    const GPtrArray *
    nm_device_bridge_get_slaves (NMDeviceBridge *device);

## Types and Values

### NM_DEVICE_BRIDGE_HW_ADDRESS

    #define NM_DEVICE_BRIDGE_HW_ADDRESS "hw-address"

### NM_DEVICE_BRIDGE_CARRIER

    #define NM_DEVICE_BRIDGE_CARRIER    "carrier"

### NM_DEVICE_BRIDGE_SLAVES

    #define NM_DEVICE_BRIDGE_SLAVES     "slaves"